state("claw") {
	int level: 0x1360AC;
	int paused: 0x135FE4;
	int loading: 0x136B60;
	int mainMenu: 0x1362A0;
	int playingLevel: 0x1365D4;
	int levelTime: 0x135928;
}

startup {
	refreshRate = 60;
	settings.Add("stopOnPause", false, "Pause timer when game is paused");
	settings.Add("splitOnEndFlag", true, "Split when touching end of level map or gem. If unchecked will splt on the start of new level.");
}

init {
	print("i am rock");
	vars.isOnMainMenu = true;
	vars.isLoading = false;
	vars.isPaused = false;
	vars.isOnCutscene = false;
}

update {
	vars.isOnMainMenu = current.mainMenu != 0 && current.playingLevel == 0;
	vars.isPaused = current.paused != 0;
	vars.isLoading = current.loading == 0;
	vars.isOnCutscene = current.playingLevel == 0 && current.mainMenu == 0 && current.loading != 0;
}

start {
	return !vars.isOnMainMenu && !vars.isLoading && current.level == 1 && current.levelTime == 0;
}

split {
	if (settings["splitOnEndFlag"]) {
		return old.playingLevel != 0 && current.playingLevel == 0 && current.mainMenu == 0 && current.loading != 0;
	} else {
		if (old.level == 14 && current.level == 14)
		{
			return old.playingLevel != 0 && current.playingLevel == 0 && current.mainMenu == 0 && current.loading != 0;
		}
		else
		{
			return old.level != current.level;
		}
	}
}

isLoading {
	if (settings["stopOnPause"]) {
		return vars.isLoading || vars.isPaused;
	} else {
		return vars.isLoading;
	}
}